# An echarts theme from WE Design

# How to use this theme

## with npm
```
npm install @njshaoshao/we-theme-charts
```

## with yarn
```
yarn add @njshaoshao/we-theme-charts
```

## global use
```JavaScript
import echarts from 'echarts';

// import theme one by one
// import rainbow from '@njshaoshao/we-theme-echarts/rainbow'
// import lake from '@njshaoshao/we-theme-echarts/lake'
// import autumn from '@njshaoshao/we-theme-echarts/autumn'

// import all themes
import { rainbow, lake , autumn } from '@njshaoshao/we-theme-echarts';

echarts.registerTheme('rainbow', webar);
echarts.registerTheme('lake', weline);
echarts.registerTheme('autumn', weline);

// then can use in init function with theme name
echarts.init(initDom, 'rainbow')
echarts.init(initDom, 'lake')
echarts.init(initDom, 'autumn')
```

## use in init function
```JavaScript
import echarts from 'echarts';

// import theme one by one
// import rainbow from '@njshaoshao/we-theme-echarts/rainbow'
// import lake from '@njshaoshao/we-theme-echarts/lake'
// import autumn from '@njshaoshao/we-theme-echarts/autumn'

import { rainbow, lake , autumn } from '@njshaoshao/we-theme-echarts';

echarts.init(initDom, rainbow)
echarts.init(initDom, lake)
echarts.init(initDom, autumn)
```
